# SceneModel (vilya 1.3 API)
Date: 2011-04-06

## com.threerings.whirled.data
Class SceneModel

    java.lang.Object
      com.threerings.io.SimpleStreamableObject
          com.threerings.whirled.data.SceneModel

All Implemented Interfaces:
  com.threerings.io.Streamable, Cloneable

Direct Known Subclasses:
  StageSceneModel

    public class SceneModel

extends com.threerings.io.SimpleStreamableObject
implements Cloneable

The scene model is the bare bones representation of the data for a scene in the Whirled system. From the scene model, one would create an instance of `Scene`.

The scene model is what is loaded from the scene repositories and what is transmitted over the wire when communicating scenes from the server to the client.

Nested Class Summary

Nested classes/interfaces inherited from interface com.threerings.io.Streamable
`com.threerings.io.Streamable.Closure`

Field Summary
`AuxModel[]` `auxModels` Auxiliary scene model information.
`String` `name` The human readable name of this scene.
`int` `sceneId` This scene's unique identifier.
`int` `version` The version number of this scene.

Constructor Summary
`SceneModel()`

Method Summary
`void` `addAuxModel(AuxModel auxModel)` Adds the specified auxiliary model to this scene model.
`static SceneModel` `blankSceneModel()` Creates and returns a blank scene model.
`SceneModel` `clone()`

Methods inherited from class com.threerings.io.SimpleStreamableObject
`toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### sceneId

    public int sceneId

  This scene's unique identifier.

### name

    public String name

  The human readable name of this scene.

### version

    public int version

  The version number of this scene. Versions are incremented whenever modifications are made to a scene so that clients can determine whether or not they have the latest version of a scene.

### auxModels

    public AuxModel[] auxModels

  Auxiliary scene model information.

Constructor Detail

### SceneModel

    public SceneModel()

Method Detail

### addAuxModel

    public void addAuxModel(AuxModel auxModel)

  Adds the specified auxiliary model to this scene model.

### clone

    public SceneModel clone()
                     throws CloneNotSupportedException

  Overrides:
    `clone` in class `Object`
  Throws:
    `CloneNotSupportedException`

### blankSceneModel

    public static SceneModel blankSceneModel()

  Creates and returns a blank scene model.

Copyright © 2011. All Rights Reserved.